Package Details: gimp-gtk3-git 2.9.4.r1949.g3762480587-1

Git Clone URL: https://aur.archlinux.org/gimp-gtk3-git.git (read-only)
Package Base: gimp-gtk3-git
Description: GNU Image Manipulation Program
Upstream URL: http://www.gimp.org
Licenses: GPL, LGPL
Conflicts: gimp-2.99
Provides: gimp-2.99
Replaces: gimp-2.99
Submitter: ksj
Maintainer: ksj
Last Packager: ksj
Votes: 14
Popularity: 0.162025
First Submitted: 2013-07-29 07:33
Last Updated: 2017-09-16 21:31

Latest Comments

haawda commented on 2017-10-08 07:04

libmypaint needs to have provides=("${_pkgname}=$pkgver"), then you could add a versioned dependency libmypaint<2.0.0

ksj commented on 2017-10-08 05:07

yes, that's why I added only non-git package to dependencies.
But here in the page is also shown git version in brackets.
Can I somehow block these alternatives in brackets?

electricprism commented on 2017-10-07 22:58

It fails in the build() function when libmypaint-git is installed.

Error: GIMP configuration failed.

- Error: missing dependency libmypaint >= 1.3.0

See the file 'INSTALL' for more help.

Configure failed or did not finish!
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build gimp-gtk3-git.
==> Restart building gimp-gtk3-git ? [y/N]
==> --------------------------------------
==>

ksj commented on 2017-09-16 21:22

Ok, done

haawda commented on 2017-09-16 20:13

I think, gtk3 should be added to the dependencies and glib-networking to the makedepends-array.

haawda commented on 2017-09-16 18:38

Why isn't
if [ -f /usr/lib/pkgconfig/libmypaint-1.3.pc ]; then
sed -i 's/libmypaint /libmypaint-1.3 /g' configure.ac
fi
in the prepare function?

ishitatsuyuki commented on 2017-07-23 07:58

libmypaint 1.3 is released and the git version is 2.0.0. Please alter the dependencies.

sergey.orloff commented on 2016-12-11 06:53

OK! I rebuilt and it worked. It is strange that the version information gegl-git package is false.

==> Завершена сборка пакета gegl-git 0.3.10.52.g9b3e942-1 (Вс дек 11 11:45:21 +05 2016)
==> Установка пакета 'gegl-git' с помощью 'pacman -U'...
[sudo] пароль для sergey:
загрузка пакетов...
разрешение зависимостей...
проверка конфликтов...

Пакеты (1) gegl-git-0.3.10.52.g9b3e942-1

Будет установлено: 11,39 MiB
Изменение размера: -1,27 MiB

:: Приступить к установке? [Y/n] y
(1/1) проверка ключей [######################] 100%
(1/1) проверяется целостность пакета [######################] 100%
(1/1) загрузка файлов пакетов [######################] 100%
(1/1) проверка конфликтов файлов [######################] 100%
(1/1) проверяется доступное место [######################] 100%
:: Processing package changes...
(1/1) обновление gegl-git [######################] 100%

sergey.orloff commented on 2016-12-11 04:23

Hi @ksj!
Please tell me where you have gegl-0.3> = 0.3.10?
Following the 'https://aur.archlinux.org/packages/gegl-git/' link on this page
I offer package: gegl-git 0.3.8.20.gf361098-1.
How did you build gimp-gtk3-git?
I would be grateful for clarification.
Thank You!

ksj commented on 2016-12-08 08:05

This gimp has gegl git version. Have you tried rebuild gegl package?

All comments